## ktp-accounts-kcm 0.8.0

=== CMakeLists.txt ===
project (ktp-accounts-kcm)

set(KTP_ACCOUNTS_KCM_VERSION "0.8.0")

# Add the modules we ship to the module path
SET(CMAKE_MODULE_PATH "${CMAKE_CURRENT_SOURCE_DIR}/cmake/modules" ${CMAKE_MODULE_PATH})

cmake_policy(SET CMP0002 OLD)

set(IS_KTP_INTERNAL_MODULE TRUE)
set(KDE_MIN_VERSION "4.7.0")
find_package (KDE4 REQUIRED)
find_package (TelepathyQt4 0.8.9 REQUIRED)
find_package (KTp REQUIRED)

# set some default settings
include (KDE4Defaults)

# make some more macros available
include (MacroLibrary)

add_definitions (${KDE4_DEFINITIONS}
                 -DQT_NO_CAST_FROM_ASCII
                 -DQT_NO_KEYWORDS
)

include_directories (${KDE4_INCLUDES}
                     ${TELEPATHY_QT4_INCLUDE_DIR}
                     ${KTP_INCLUDE_DIR}
                     ${CMAKE_CURRENT_SOURCE_DIR}/src
)

add_subdirectory (src)
add_subdirectory (data)
add_subdirectory (plugins)
find_package(Msgfmt REQUIRED)
find_package(Gettext REQUIRED)
add_subdirectory( po )

=== po/CMakeLists.txt ===
add_subdirectory( bs )
add_subdirectory( ca )
add_subdirectory( ca@valencia )
add_subdirectory( cs )
add_subdirectory( da )
add_subdirectory( de )
add_subdirectory( el )
add_subdirectory( en_GB )
add_subdirectory( eo )
add_subdirectory( es )
add_subdirectory( et )
add_subdirectory( fi )
add_subdirectory( fr )
add_subdirectory( ga )
add_subdirectory( gl )
add_subdirectory( hu )
add_subdirectory( ia )
add_subdirectory( it )
add_subdirectory( ja )
add_subdirectory( kk )
add_subdirectory( km )
add_subdirectory( ko )
add_subdirectory( lt )
add_subdirectory( mai )
add_subdirectory( mr )
add_subdirectory( nb )
add_subdirectory( nds )
add_subdirectory( nl )
add_subdirectory( pa )
add_subdirectory( pl )
add_subdirectory( pt )
add_subdirectory( pt_BR )
add_subdirectory( ro )
add_subdirectory( ru )
add_subdirectory( sk )
add_subdirectory( sl )
add_subdirectory( sr )
add_subdirectory( sr@ijekavian )
add_subdirectory( sr@ijekavianlatin )
add_subdirectory( sr@latin )
add_subdirectory( sv )
add_subdirectory( tr )
add_subdirectory( ug )
add_subdirectory( uk )
add_subdirectory( vi )
add_subdirectory( wa )
add_subdirectory( zh_CN )
add_subdirectory( zh_TW )

=== plugins/haze/CMakeLists.txt ===
project (ktpaccountskcm-plugin-haze)

include_directories (${CMAKE_CURRENT_BINARY_DIR}
                     ${CMAKE_CURRENT_SOURCE_DIR}
)

set (ktpaccountskcm_plugin_haze_SRCS
     haze-account-ui-plugin.cpp
     haze-icq-account.cpp
     icq-main-options-widget.cpp
     icq-server-settings-widget.cpp
     haze-myspaceim-account-ui.cpp
     myspaceim-main-options-widget.cpp
     myspaceim-advanced-settings-widget.cpp
     haze-skype-account-ui.cpp
     skype-main-options-widget.cpp
     skype-advanced-settings-widget.cpp
     haze-yahoo-account.cpp
     yahoo-main-options-widget.cpp
     yahoo-server-settings-widget.cpp
     aim-main-options-widget.cpp
     haze-aim-account.cpp
     aim-server-settings-widget.cpp
     msn-main-options-widget.cpp
     haze-msn-account.cpp
     haze-groupwise-account.cpp
     groupwise-main-options-widget.cpp
     groupwise-advanced-settings-widget.cpp
     haze-steam-account.cpp
     steam-main-options-widget.cpp
     haze-sipe-account.cpp
     sipe-main-options-widget.cpp
     sipe-advanced-settings-widget.cpp
)

kde4_add_ui_files (ktpaccountskcm_plugin_haze_SRCS
                   icq-main-options-widget.ui
                   icq-server-settings-widget.ui
                   myspaceim-main-options-widget.ui
                   myspaceim-advanced-settings-widget.ui
                   skype-main-options-widget.ui
                   skype-advanced-settings-widget.ui
                   yahoo-main-options-widget.ui
                   yahoo-server-settings-widget.ui
                   aim-main-options-widget.ui
                   aim-server-settings-widget.ui
                   msn-main-options-widget.ui
                   groupwise-advanced-settings-widget.ui
                   groupwise-main-options-widget.ui
                   steam-main-options-widget.ui
                   sipe-main-options-widget.ui
                   sipe-advanced-settings-widget.ui
)

kde4_add_plugin (ktpaccountskcm_plugin_haze
                 ${ktpaccountskcm_plugin_haze_SRCS}
)

target_link_libraries (ktpaccountskcm_plugin_haze
                       ktpaccountskcminternal
                       ${QT_LIBRARIES}
                       ${KDE4_KDEUI_LIBS}
                       ${TELEPATHY_QT4_LIBRARIES}
)

# Install:
install (TARGETS ktpaccountskcm_plugin_haze
         DESTINATION ${PLUGIN_INSTALL_DIR}
)

configure_file(${CMAKE_CURRENT_SOURCE_DIR}/ktpaccountskcm_plugin_haze.desktop.cmake
               ${CMAKE_CURRENT_BINARY_DIR}/ktpaccountskcm_plugin_haze.desktop
               @ONLY)

install (FILES ${CMAKE_CURRENT_BINARY_DIR}/ktpaccountskcm_plugin_haze.desktop
         DESTINATION ${SERVICES_INSTALL_DIR}
)

=== plugins/idle/CMakeLists.txt ===
project (ktpaccountskcm-plugin-idle)

include_directories (${CMAKE_CURRENT_BINARY_DIR}
                     ${CMAKE_CURRENT_SOURCE_DIR}
)

set (ktpaccountskcm_plugin_idle_SRCS
     idle-account-ui-plugin.cpp
     idle-account-ui.cpp
     main-options-widget.cpp
     advanced-options-widget.cpp
)

kde4_add_ui_files (ktpaccountskcm_plugin_idle_SRCS
                   main-options-widget.ui
                   advanced-options-widget.ui
)

kde4_add_plugin (ktpaccountskcm_plugin_idle
                 ${ktpaccountskcm_plugin_idle_SRCS}
)

target_link_libraries (ktpaccountskcm_plugin_idle
                       ktpaccountskcminternal
                       ${QT_LIBRARIES}
                       ${KDE4_KDEUI_LIBS}
                       ${TELEPATHY_QT4_LIBRARIES}
)

# Install:
install (TARGETS ktpaccountskcm_plugin_idle
         DESTINATION ${PLUGIN_INSTALL_DIR}
)

configure_file(${CMAKE_CURRENT_SOURCE_DIR}/ktpaccountskcm_plugin_idle.desktop.cmake
               ${CMAKE_CURRENT_BINARY_DIR}/ktpaccountskcm_plugin_idle.desktop
               @ONLY)

install (FILES ${CMAKE_CURRENT_BINARY_DIR}/ktpaccountskcm_plugin_idle.desktop
         DESTINATION ${SERVICES_INSTALL_DIR}
)

=== plugins/sunshine/CMakeLists.txt ===
project (ktpaccountskcm-plugin-sunshine)

include_directories (${CMAKE_CURRENT_BINARY_DIR}
                     ${CMAKE_CURRENT_SOURCE_DIR}
)

set (ktpaccountskcm_plugin_sunshine_SRCS
     sunshine-account-ui-plugin.cpp
     sunshine-account-ui.cpp
     sunshine-main-options-widget.cpp
     sunshine-advanced-options-widget.cpp
)

kde4_add_ui_files (ktpaccountskcm_plugin_sunshine_SRCS
                   sunshine-main-options-widget.ui
                   sunshine-advanced-options-widget.ui
)

kde4_add_plugin (ktpaccountskcm_plugin_sunshine
                 ${ktpaccountskcm_plugin_sunshine_SRCS}
)

target_link_libraries (ktpaccountskcm_plugin_sunshine
                       ktpaccountskcminternal
                       ${QT_LIBRARIES}
                       ${KDE4_KDEUI_LIBS}
                       ${TELEPATHY_QT4_LIBRARIES}
)

# Install:
install (TARGETS ktpaccountskcm_plugin_sunshine
         DESTINATION ${PLUGIN_INSTALL_DIR}
)

configure_file(${CMAKE_CURRENT_SOURCE_DIR}/ktpaccountskcm_plugin_sunshine.desktop.cmake
               ${CMAKE_CURRENT_BINARY_DIR}/ktpaccountskcm_plugin_sunshine.desktop
               @ONLY)

install (FILES ${CMAKE_CURRENT_BINARY_DIR}/ktpaccountskcm_plugin_sunshine.desktop
         DESTINATION ${SERVICES_INSTALL_DIR}
)

=== po/lt/CMakeLists.txt ===
file(GLOB _po_files *.po)
GETTEXT_PROCESS_PO_FILES( lt ALL INSTALL_DESTINATION ${LOCALE_INSTALL_DIR} ${_po_files} )

## ktp-accounts-kcm 0.3.1

=== debian/changelog ===
ktp-accounts-kcm (0.3.1-0ubuntu1) precise; urgency=low

  * new upstream bugfix release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 10 Apr 2012 11:34:04 +0100

ktp-accounts-kcm (0.3.0-0ubuntu1) precise; urgency=low

  * Initial Kubuntu packaging

 -- Rohan Garg <rohangarg@kubuntu.org>  Mon, 06 Feb 2012 20:30:32 +0100

=== debian/control ===
Source: ktp-accounts-kcm
Section: kde
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: George Kiagiadakis <kiagiadakis.george@gmail.com>
Build-Depends: debhelper (>= 8),
 pkg-kde-tools (>= 0.9),
 libtelepathy-qt4-dev (>= 0.7.1),
 kdelibs5-dev (>= 4:4.6),
 cmake (>= 2.8),
 libktpcommoninternalsprivate-dev (>= 0.3.0)
Standards-Version: 3.9.2
Homepage: https://projects.kde.org/projects/extragear/network/telepathy/ktp-accounts-kcm

Package: kde-config-telepathy-accounts
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, kde-telepathy-data (>= 0.3)
Suggests: telepathy-kde
Description: KDE Control Module for managing Telepathy Accounts
 This package provides a KControl module for adding, editing and removing
 Telepathy accounts. This module can be accessed from system settings
 under a KDE Plasma desktop.

Package: kde-config-telepathy-accounts-dbg
Architecture: any
Section: debug
Priority: extra
Depends: kde-config-telepathy-accounts (= ${binary:Version}), ${misc:Depends}
Description: KDE Control Module for managing Telepathy Accounts - debug symbols
 This package provides the debug symbols for the Telepathy Accounts
 KControl module.

## ktp-accounts-kcm 0.4.0

=== debian/changelog ===
ktp-accounts-kcm (0.4.0-1) unstable; urgency=low

  * Initial release.

 -- George Kiagiadakis <kiagiadakis.george@gmail.com>  Mon, 18 Jun 2012 22:09:45 +0300

=== debian/control ===
Source: ktp-accounts-kcm
Section: kde
Priority: optional
Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
Uploaders: George Kiagiadakis <kiagiadakis.george@gmail.com>
Build-Depends: debhelper (>= 9),
 pkg-kde-tools (>= 0.9),
 libtelepathy-qt4-dev (>= 0.9.0),
 kdelibs5-dev (>= 4:4.6),
 cmake (>= 2.8),
 libktpcommoninternalsprivate-dev (>= 0.4.0)
Standards-Version: 3.9.3
Homepage: https://projects.kde.org/projects/extragear/network/telepathy/ktp-accounts-kcm
Vcs-Git: git://anonscm.debian.org/pkg-kde/kde-extras/kde-telepathy/ktp-accounts-kcm.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-kde/kde-extras/kde-telepathy/ktp-accounts-kcm.git

Package: kde-config-telepathy-accounts
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, kde-telepathy-data (>= 0.4)
Recommends: kde-telepathy
Description: KDE Control Module for managing Telepathy Accounts
 This package provides a KControl module for adding, editing and removing
 Telepathy accounts. This module can be accessed from system settings
 under a KDE Plasma desktop.
 .
 This package is not meant to be used standalone. It is recommended
 to install the kde-telepathy metapackage instead.

Package: kde-config-telepathy-accounts-dbg
Architecture: any
Section: debug
Priority: extra
Depends: kde-config-telepathy-accounts (= ${binary:Version}), ${misc:Depends}
Description: KDE Control Module for managing Telepathy Accounts - debug symbols
 This package provides the debug symbols for the Telepathy Accounts
 KControl module.

## ktp-accounts-kcm 0.5.1

=== debian/changelog ===
ktp-accounts-kcm (0.5.1-0ubuntu1) quantal-proposed; urgency=low

  * New upstream release

 -- Rohan Garg <rohangarg@kubuntu.org>  Fri, 05 Oct 2012 03:34:30 +0530

ktp-accounts-kcm (0.5.0-0ubuntu1) quantal; urgency=low

  * New upstream release
  * Update the Maintainer field
  * Update install file

 -- Rohan Garg <rohangarg@kubuntu.org>  Sun, 26 Aug 2012 12:41:11 +0530

ktp-accounts-kcm (0.4.1-0ubuntu1) quantal; urgency=low

  * New upstream release

 -- Michal Zajac <quintasan@kubuntu.org>  Tue, 31 Jul 2012 00:12:17 +0200

=== debian/control ===
--- 
+++ 
@@ -1,14 +1,15 @@
 Source: ktp-accounts-kcm
 Section: kde
 Priority: optional
-Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
 Uploaders: George Kiagiadakis <kiagiadakis.george@gmail.com>
 Build-Depends: debhelper (>= 9),
  pkg-kde-tools (>= 0.9),
  libtelepathy-qt4-dev (>= 0.9.0),
  kdelibs5-dev (>= 4:4.6),
  cmake (>= 2.8),
- libktpcommoninternalsprivate-dev (>= 0.4.0)
+ libktpcommoninternalsprivate-dev (>= 0.5.1)
 Standards-Version: 3.9.3
 Homepage: https://projects.kde.org/projects/extragear/network/telepathy/ktp-accounts-kcm
 Vcs-Git: git://anonscm.debian.org/pkg-kde/kde-extras/kde-telepathy/ktp-accounts-kcm.git

=== debian/watch ===
version=3

ftp://ftp.kde.org/pub/kde/unstable/kde-telepathy/([\d.]+)/src/ktp-accounts-kcm-([\d.]+).tar.bz2

## ktp-accounts-kcm 0.5.2

=== debian/changelog ===
ktp-accounts-kcm (0.5.2-0ubuntu1) raring; urgency=low

  * New upstream release

 -- Rohan Garg <rohangarg@kubuntu.org>  Wed, 19 Dec 2012 00:14:33 +0530

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
  libtelepathy-qt4-dev (>= 0.9.0),
  kdelibs5-dev (>= 4:4.6),
  cmake (>= 2.8),
- libktpcommoninternalsprivate-dev (>= 0.5.1)
+ libktpcommoninternalsprivate-dev (>= 0.5.2)
 Standards-Version: 3.9.3
 Homepage: https://projects.kde.org/projects/extragear/network/telepathy/ktp-accounts-kcm
 Vcs-Git: git://anonscm.debian.org/pkg-kde/kde-extras/kde-telepathy/ktp-accounts-kcm.git

## ktp-accounts-kcm 0.6.1

=== debian/changelog ===
ktp-accounts-kcm (0.6.1-0ubuntu1) raring; urgency=low

  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 17 Apr 2013 10:31:15 +0100

ktp-accounts-kcm (0.6.0-0ubuntu2) raring; urgency=low

  * Add upstream_Fix-translation-catalog-name.patch from upstream.
    It fixes the name used by the kcm to match what the l10n catalog is called,
    thus enabling l10n.

 -- Harald Sitter <apachelogger@kubuntu.org>  Thu, 11 Apr 2013 22:18:08 +0200

ktp-accounts-kcm (0.6.0-0ubuntu1) raring; urgency=low

  * New upstream release

 -- Rohan Garg <rohangarg@kubuntu.org>  Wed, 03 Apr 2013 11:14:22 +0100

ktp-accounts-kcm (0.5.80-0ubuntu1) raring; urgency=low

  * New upstream release
    - Add Build Dep on libtelepathy-logger-dev, libtelepathy-logger-qt4-dev

 -- Rohan Garg <rohangarg@kubuntu.org>  Thu, 07 Mar 2013 15:28:38 +0000

ktp-accounts-kcm (0.5.3-0ubuntu1) raring; urgency=low

  * New upstream release

 -- Rohan Garg <rohangarg@kubuntu.org>  Mon, 18 Feb 2013 16:18:47 +0530

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,9 @@
  libtelepathy-qt4-dev (>= 0.9.0),
  kdelibs5-dev (>= 4:4.6),
  cmake (>= 2.8),
- libktpcommoninternalsprivate-dev (>= 0.5.2)
+ libktpcommoninternalsprivate-dev (>= 0.6.0),
+ libtelepathy-logger-qt4-dev (>= 0.6.0),
+ libtelepathy-logger-dev
 Standards-Version: 3.9.3
 Homepage: https://projects.kde.org/projects/extragear/network/telepathy/ktp-accounts-kcm
 Vcs-Git: git://anonscm.debian.org/pkg-kde/kde-extras/kde-telepathy/ktp-accounts-kcm.git

## ktp-accounts-kcm 0.6.3

=== debian/changelog ===
ktp-accounts-kcm (0.6.3-0ubuntu1) saucy; urgency=low

  [ Howard Chan ]
  * New upstream release (LP: #1208837)
  * Bump on libktpcommoninternalsprivate-dev 

  [ Rohan Garg ]
  * Drop empty debian/patches folder

 -- Howard Chan <smartboyhw@gmail.com>  Tue, 06 Aug 2013 21:09:50 +0800

ktp-accounts-kcm (0.6.2-0ubuntu1) saucy; urgency=low

  * New upstream release
  * Bump on libktpcommoninternalsprivate-dev

 -- Michał Zając <quintasan@kubuntu.org>  Fri, 21 Jun 2013 14:50:04 +0200

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
  libtelepathy-qt4-dev (>= 0.9.0),
  kdelibs5-dev (>= 4:4.6),
  cmake (>= 2.8),
- libktpcommoninternalsprivate-dev (>= 0.6.0),
+ libktpcommoninternalsprivate-dev (>= 0.6.3),
  libtelepathy-logger-qt4-dev (>= 0.6.0),
  libtelepathy-logger-dev
 Standards-Version: 3.9.3

## ktp-accounts-kcm 0.8.0

=== debian/changelog ===
ktp-accounts-kcm (0.8.0-0ubuntu1) trusty; urgency=medium

  * New upstream release (LP: #1297351)

 -- Rohan Garg <rohangarg@kubuntu.org>  Tue, 01 Apr 2014 14:30:10 +0200

ktp-accounts-kcm (0.7.80-0ubuntu1) trusty; urgency=medium

  * New upstream release

 -- Rohan Garg <rohangarg@kubuntu.org>  Tue, 18 Feb 2014 00:12:56 +0100

ktp-accounts-kcm (0.7.1-0ubuntu1) trusty; urgency=medium

  * New upstream release

 -- Rohan Garg <rohangarg@kubuntu.org>  Wed, 29 Jan 2014 19:44:48 +0100

ktp-accounts-kcm (0.7.0-1) unstable; urgency=low

  * New upstream release.
  * Update Build-Depends: libktpcommoninternalsprivate-dev >= 0.7.0
  * Update Depends kde-telepathy-data >= 0.7.0

 -- Diane Trout <diane@ghic.org>  Wed, 27 Nov 2013 18:04:07 -0800

ktp-accounts-kcm (0.6.3-1) unstable; urgency=low

  * Imported Upstream version 0.6.3
  * add debian/ to origin/master branch
  * Update Build-Depends: libktpcommoninternalsprivate-dev (>= 0.6.3)

 -- Mark Purcell <msp@debian.org>  Sun, 11 Aug 2013 09:52:21 +1000

ktp-accounts-kcm (0.6.2-1) unstable; urgency=low

  [ Diane Trout ]
  * Bump libktpcommoninternalsprivate-dev dependency to 0.6.2
  * Bump lbitelepathy-qt4-dev dependency to 0.9.3
  * Imported Upstream version 0.6.2
  * Set Uploaders to Diane Trout and Michał Zając
  * Update Standards-Version to 3.9.4. No changes needed.
  * Override lintian warning about library not matching package name.
             The library is for internal use by the kcm plugins provided.
  * Override lintian warning about symbols control file.
  * Update watch file as KDE-Telepathy is now in KDE stable.
 
  [ Mark Purcell ]
  * Add myself to uploaders

 -- Mark Purcell <msp@debian.org>  Thu, 08 Aug 2013 19:18:59 +1000

=== debian/control ===
--- 
+++ 
@@ -3,23 +3,23 @@
 Priority: optional
 Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
 XSBC-Original-Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
-Uploaders: George Kiagiadakis <kiagiadakis.george@gmail.com>
+Uploaders: Diane Trout <diane@ghic.org>, Michał Zając <quintasan@kubuntu.org>, Mark Purcell <msp@debian.org>
 Build-Depends: debhelper (>= 9),
  pkg-kde-tools (>= 0.9),
- libtelepathy-qt4-dev (>= 0.9.0),
+ libtelepathy-qt4-dev (>= 0.9.3),
  kdelibs5-dev (>= 4:4.6),
  cmake (>= 2.8),
- libktpcommoninternalsprivate-dev (>= 0.6.3),
- libtelepathy-logger-qt4-dev (>= 0.6.0),
- libtelepathy-logger-dev
-Standards-Version: 3.9.3
+ libtelepathy-logger-dev,
+ libtelepathy-logger-qt4-dev,
+ libktpcommoninternalsprivate-dev (>= 0.8.0)
+Standards-Version: 3.9.4
 Homepage: https://projects.kde.org/projects/extragear/network/telepathy/ktp-accounts-kcm
 Vcs-Git: git://anonscm.debian.org/pkg-kde/kde-extras/kde-telepathy/ktp-accounts-kcm.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-kde/kde-extras/kde-telepathy/ktp-accounts-kcm.git
 
 Package: kde-config-telepathy-accounts
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, kde-telepathy-data (>= 0.4)
+Depends: ${shlibs:Depends}, ${misc:Depends}, kde-telepathy-data (>= 0.7.0)
 Recommends: kde-telepathy
 Description: KDE Control Module for managing Telepathy Accounts
  This package provides a KControl module for adding, editing and removing

=== debian/watch ===
version=3

ftp://ftp.kde.org/pub/kde/stable/kde-telepathy/([\d.]+)/src/ktp-accounts-kcm-([\d.]+).tar.bz2

## ktp-accounts-kcm 0.8.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,6 +1,6 @@
 project (ktp-accounts-kcm)
 
-set(KTP_ACCOUNTS_KCM_VERSION "0.8.0")
+set(KTP_ACCOUNTS_KCM_VERSION "0.8.1")
 
 # Add the modules we ship to the module path
 SET(CMAKE_MODULE_PATH "${CMAKE_CURRENT_SOURCE_DIR}/cmake/modules" ${CMAKE_MODULE_PATH})

=== plugins/CMakeLists.txt ===
macro_optional_add_subdirectory (gabble)
macro_optional_add_subdirectory (butterfly)
macro_optional_add_subdirectory (idle)
macro_optional_add_subdirectory (haze)
macro_optional_add_subdirectory (rakia)
macro_optional_add_subdirectory (salut)
macro_optional_add_subdirectory (sunshine)
macro_optional_add_subdirectory (pintxo)
macro_optional_add_subdirectory (sipe)

=== plugins/sipe/CMakeLists.txt ===
project (ktpaccountskcm-plugin-sipe)

include_directories (${CMAKE_CURRENT_BINARY_DIR}
                     ${CMAKE_CURRENT_SOURCE_DIR}
)

set (ktpaccountskcm_plugin_sipe_SRCS
     sipe-account-ui-plugin.cpp
     sipe-account-ui.cpp
     sipe-main-options-widget.cpp
     sipe-advanced-options-widget.cpp
)

kde4_add_ui_files (ktpaccountskcm_plugin_sipe_SRCS
                   sipe-main-options-widget.ui
                   sipe-advanced-options-widget.ui
)

kde4_add_plugin (ktpaccountskcm_plugin_sipe
                 ${ktpaccountskcm_plugin_sipe_SRCS}
)

target_link_libraries (ktpaccountskcm_plugin_sipe
                       ktpaccountskcminternal
                       ${QT_LIBRARIES}
                       ${KDE4_KDEUI_LIBS}
                       ${TELEPATHY_QT4_LIBRARIES}
)

# Install:
install (TARGETS ktpaccountskcm_plugin_sipe
         DESTINATION ${PLUGIN_INSTALL_DIR}
)
configure_file(${CMAKE_CURRENT_SOURCE_DIR}/ktpaccountskcm_plugin_sipe.desktop.cmake
               ${CMAKE_CURRENT_BINARY_DIR}/ktpaccountskcm_plugin_sipe.desktop
               @ONLY)

install (FILES ${CMAKE_CURRENT_BINARY_DIR}/ktpaccountskcm_plugin_sipe.desktop
         DESTINATION ${SERVICES_INSTALL_DIR}
)

=== debian/changelog ===
ktp-accounts-kcm (0.8.1-0ubuntu0.1) trusty; urgency=medium

  * No change backport to trusty (LP: #1313611)

 -- Rohan Garg <rohangarg@kubuntu.org>  Mon, 28 Apr 2014 19:32:37 +0200

ktp-accounts-kcm (0.8.1-0ubuntu1) utopic; urgency=medium

  * New upstream release

 -- Rohan Garg <rohangarg@kubuntu.org>  Mon, 28 Apr 2014 16:55:46 +0200

=== debian/control ===
--- 
+++ 
@@ -11,7 +11,7 @@
  cmake (>= 2.8),
  libtelepathy-logger-dev,
  libtelepathy-logger-qt4-dev,
- libktpcommoninternalsprivate-dev (>= 0.8.0)
+ libktpcommoninternalsprivate-dev (>= 0.8.1)
 Standards-Version: 3.9.4
 Homepage: https://projects.kde.org/projects/extragear/network/telepathy/ktp-accounts-kcm
 Vcs-Git: git://anonscm.debian.org/pkg-kde/kde-extras/kde-telepathy/ktp-accounts-kcm.git

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --parallel --with kde --dbg-package=kde-config-telepathy-accounts-dbg --list-missing

## ktp-accounts-kcm 0.9.0

=== debian/changelog ===
ktp-accounts-kcm (0.9.0-0ubuntu1) vivid; urgency=medium

  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 28 Oct 2014 13:14:00 +0100

ktp-accounts-kcm (0.8.1-1) unstable; urgency=medium

  * New upstream release.
  * Update Build-Depends: libktpcommoninternalsprivate-dev >= 0.8.1
  * Update Depends kde-telepathy-data >= 0.8.1
  * Update Standards-Version to 3.9.5, no changes needed.
  * Update copyright file.

 -- Diane Trout <diane@ghic.org>  Thu, 15 May 2014 15:10:50 -0700

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: ktp-accounts-kcm
 Section: kde
 Priority: optional
-Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
+Maintainer: Debian/Kubuntu KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
 Uploaders: Diane Trout <diane@ghic.org>, Michał Zając <quintasan@kubuntu.org>, Mark Purcell <msp@debian.org>
 Build-Depends: debhelper (>= 9),
  pkg-kde-tools (>= 0.9),
@@ -11,15 +10,15 @@
  cmake (>= 2.8),
  libtelepathy-logger-dev,
  libtelepathy-logger-qt4-dev,
- libktpcommoninternalsprivate-dev (>= 0.8.1)
-Standards-Version: 3.9.4
+ libktpcommoninternalsprivate-dev (>= 0.9.0)
+Standards-Version: 3.9.5
 Homepage: https://projects.kde.org/projects/extragear/network/telepathy/ktp-accounts-kcm
 Vcs-Git: git://anonscm.debian.org/pkg-kde/kde-extras/kde-telepathy/ktp-accounts-kcm.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-kde/kde-extras/kde-telepathy/ktp-accounts-kcm.git
 
 Package: kde-config-telepathy-accounts
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, kde-telepathy-data (>= 0.7.0)
+Depends: ${shlibs:Depends}, ${misc:Depends}, kde-telepathy-data (>= 0.8.1)
 Recommends: kde-telepathy
 Description: KDE Control Module for managing Telepathy Accounts
  This package provides a KControl module for adding, editing and removing

## ktp-accounts-kcm 15.08.2

=== debian/changelog ===
ktp-accounts-kcm (4:15.08.2-0ubuntu1) wily; urgency=medium

  * Vivid backport
  * New upstream release

 -- Scarlett Clark <sgclark@kubuntu.org>  Wed, 14 Oct 2015 12:49:01 +0100

ktp-accounts-kcm (4:15.08.1-0ubuntu1) wily; urgency=medium

  * New upstream release (15.08.1)

 -- Clive Johnston <clivejo@aol.com>  Tue, 22 Sep 2015 17:29:35 +0100

ktp-accounts-kcm (4:15.08.0-0ubuntu1) wily; urgency=medium

  * new upstream release

 -- Clive Johnston <clivejo@aol.com>  Wed, 26 Aug 2015 17:41:01 +0100

ktp-accounts-kcm (4:15.07.90-0ubuntu1) wily; urgency=medium

  * new upstream beta release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 18 Aug 2015 11:16:53 +0100

ktp-accounts-kcm (15.04.2-0ubuntu1) wily; urgency=medium

  * New upstream release.

 -- Scarlett Clark <sgclark@kubuntu.org>  Tue, 09 Jun 2015 19:27:18 +0200

ktp-accounts-kcm (15.04.0-0ubuntu1) UNRELEASED; urgency=medium

  * KDE Frameworks 5 port

 -- Harald Sitter <sitter@kde.org>  Mon, 09 Mar 2015 11:12:07 +0100

ktp-accounts-kcm (0.9.0-0ubuntu1) UNRELEASED; urgency=medium

  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 28 Oct 2014 13:14:00 +0100

ktp-accounts-kcm (0.8.80-1) UNRELEASED; urgency=medium

  * New upstream release.
  * Update libktpcommoninternalsprivate-dev build-dep to 0.8.80
  * Change kde-telepathy-data to source:Upstream-Version

 -- Diane Trout <diane@ghic.org>  Sun, 21 Sep 2014 11:03:26 -0700

=== debian/control ===
Source: ktp-accounts-kcm
Section: kde
Priority: optional
Maintainer: Debian/Kubuntu KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
Uploaders: Diane Trout <diane@ghic.org>,
           Michał Zając <quintasan@kubuntu.org>,
           Mark Purcell <msp@debian.org>
Build-Depends: cmake (>= 2.8),
               debhelper (>= 9),
               extra-cmake-modules,
               intltool,
               kio-dev,
               libaccounts-glib-dev,
               libaccounts-qt5-dev,
               libkaccounts-dev (>= 4:15.07),
               libkf5codecs-dev,
               libkf5configwidgets-dev,
               libkf5coreaddons-dev,
               libkf5i18n-dev,
               libkf5iconthemes-dev,
               libkf5itemviews-dev,
               libkf5kcmutils-dev,
               libkf5widgetsaddons-dev,
               libktp-dev (>= 0.9.0),
               libsignon-qt5-dev,
               libtelepathy-logger-dev,
               libtelepathy-logger-qt5-dev,
               libtelepathy-qt5-dev (>= 0.9.3),
               pkg-kde-tools (>= 0.9)
Standards-Version: 3.9.6
Homepage: https://projects.kde.org/projects/extragear/network/telepathy/ktp-accounts-kcm
Vcs-Git: git://anonscm.debian.org/pkg-kde/kde-extras/kde-telepathy/ktp-accounts-kcm.git
Vcs-Browser: http://anonscm.debian.org/cgit/pkg-kde/kde-extras/kde-telepathy/ktp-accounts-kcm.git

Package: kde-config-telepathy-accounts
Architecture: any
Depends: kaccounts-integration,
         kde-telepathy-data,
         kde-telepathy-kaccounts,
         kde-telepathy-kpeople,
         ${misc:Depends},
         ${shlibs:Depends}
Recommends: kde-telepathy
Description: KDE Control Module for managing Telepathy Accounts
 This package provides a KControl module for adding, editing and removing
 Telepathy accounts. This module can be accessed from system settings
 under a KDE Plasma desktop.
 .
 This package is not meant to be used standalone. It is recommended
 to install the kde-telepathy metapackage instead.

Package: kde-config-telepathy-accounts-dbg
Architecture: any
Section: debug
Priority: extra
Depends: kde-config-telepathy-accounts (= ${binary:Version}), ${misc:Depends}
Description: KDE Control Module for managing Telepathy Accounts - debug symbols
 This package provides the debug symbols for the Telepathy Accounts
 KControl module.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/pkg-kde-tools/qt-kde-team/3/debian-qt-kde.mk

override_dh_strip:
	$(overridden_command) --dbg-package=kde-config-telepathy-accounts-dbg

=== debian/watch ===
version=3
http://download.kde.org/stable/applications/([\d.]+)/src/ktp-accounts-kcm-([\d.]+).tar.xz
http://download.kde.org/unstable/applications/([\d.]+)/src/ktp-accounts-kcm-([\d.]+).tar.xz

## ktp-accounts-kcm 15.08.3

=== debian/changelog ===
ktp-accounts-kcm (15.08.3-2) unstable; urgency=medium

  * Update libkaccounts-dev Build-Depends to >= 15.08.3 (Closes: #809282)

 -- Diane Trout <diane@ghic.org>  Sun, 03 Jan 2016 21:20:57 -0800

ktp-accounts-kcm (15.08.3-1) unstable; urgency=medium

  * New upstream release.

 -- Diane Trout <diane@ghic.org>  Wed, 02 Dec 2015 21:26:46 -0800

ktp-accounts-kcm (15.08.2-1) unstable; urgency=medium

  * Update watch file for KTps move to Applications
  * New upstream release.
  * Update build dependencies to include:
    - qtbase5-dev, extra-cmake-modules, libtelepathy-qt5-dev,
      libsignon-qt5-dev, libkaccounts-qt5-dev,
      and several libkf5 libraries.
  * Update kde-config-telepath-accounts.install with
    new library locations and new service file locations.
  * Remove po/* block from copyright file.
  * Update for rename of ktpcommoninternalsprivate-dev to libktp-dev
  * Use dhmk from pkg-kde-tools to build ktp.
  * Change maintainer to debian-qt-kde list to support using dhmk.
  * Add KDE's unstable download url to watch file
  * override_dh_install and not override_dh_auto_install

 -- Diane Trout <diane@ghic.org>  Sat, 07 Nov 2015 10:34:07 -0800

ktp-accounts-kcm (0.9.0-2) unstable; urgency=medium

  * Apply KDE Homepage update patch from Matthew Cope.
  * Add ignore-ssl-error.patch to make it easier to deal
    with telepathy-rakia's ignoring standard places for
    SSL cetificate authorities.

 -- Diane Trout <diane@ghic.org>  Tue, 02 Jun 2015 21:12:18 -0700

ktp-accounts-kcm (0.9.0-1) unstable; urgency=medium

  * New upstream release.
  * Update libktpcommoninternalsprivate-dev build-dep to 0.9.0
  * Change kde-telepathy-data to source:Upstream-Version
  * Merged kubuntu changes by Jonathan Riddell
  * Update Standards-Version to 3.9.6. No changes neede.
  * Update debian/watch file to use http://download.kde.org

 -- Diane Trout <diane@ghic.org>  Sat, 25 Apr 2015 20:16:17 -0700

=== debian/control ===
Source: ktp-accounts-kcm
Section: kde
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Diane Trout <diane@ghic.org>, Michał Zając <quintasan@kubuntu.org>, Mark Purcell <msp@debian.org>
Build-Depends: debhelper (>= 9),
 pkg-kde-tools (>= 0.9),
 libtelepathy-qt5-dev (>= 0.9.3),
 cmake (>= 2.8),
 kio-dev,
 libaccounts-glib-dev,
 libtelepathy-logger-dev,
 libtelepathy-logger-qt-dev,
 libktp-dev (>= 15.03),
 libkaccounts-dev (>= 15.08.3),
 libaccounts-qt5-dev (>= 1.10),
 libkf5kcmutils-dev,
 libkf5i18n-dev,
 libkf5itemviews-dev,
 libkf5iconthemes-dev,
 libkf5widgetsaddons-dev,
 libsignon-qt5-dev (>= 8.55),
 extra-cmake-modules,
 intltool
Standards-Version: 3.9.6
Homepage: https://projects.kde.org/projects/kde/kdenetwork/ktp-accounts-kcm
Vcs-Git: git://anonscm.debian.org/pkg-kde/kde-extras/kde-telepathy/ktp-accounts-kcm.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-kde/kde-extras/kde-telepathy/ktp-accounts-kcm.git

Package: kde-config-telepathy-accounts
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, kde-telepathy-data (>= ${source:Upstream-Version})
Recommends: kde-telepathy
Description: KDE Control Module for managing Telepathy Accounts
 This package provides a KControl module for adding, editing and removing
 Telepathy accounts. This module can be accessed from system settings
 under a KDE Plasma desktop.
 .
 This package is not meant to be used standalone. It is recommended
 to install the kde-telepathy metapackage instead.

Package: kde-config-telepathy-accounts-dbg
Architecture: any
Section: debug
Priority: extra
Depends: kde-config-telepathy-accounts (= ${binary:Version}), ${misc:Depends}
Description: KDE Control Module for managing Telepathy Accounts - debug symbols
 This package provides the debug symbols for the Telepathy Accounts
 KControl module.

=== debian/rules ===
--- 
+++ 
@@ -4,3 +4,6 @@
 
 override_dh_strip:
 	$(overridden_command) --dbg-package=kde-config-telepathy-accounts-dbg
+
+override_dh_install:
+	dh_install --fail-missing

=== debian/watch ===
version=3
http://download.kde.org/stable/applications/([\d.]+)/src/ktp-accounts-kcm-([\d.]+).tar.(?:bz2|xz)
http://download.kde.org/unstable/applications/([\d.]+)/src/ktp-accounts-kcm-([\d.]+).tar.(?:bz2|xz)

## ktp-accounts-kcm 15.12.3

=== CMakeLists.txt ===
project (ktp-accounts-kcm)

cmake_minimum_required(VERSION 2.8.12)

find_package(ECM 1.0.0 REQUIRED NO_MODULE)

set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH} ${ECM_KDE_MODULE_DIR} ${CMAKE_CURRENT_SOURCE_DIR}/cmake/modules)

find_package(Qt5 5.2.0 CONFIG REQUIRED Core Widgets DBus)
find_package(KF5 5.11 REQUIRED KCMUtils KIO I18n WidgetsAddons Codecs CoreAddons ConfigWidgets IconThemes ItemViews)

# KDE Application Version, managed by release script
set (KDE_APPLICATIONS_VERSION_MAJOR "15")
set (KDE_APPLICATIONS_VERSION_MINOR "12")
set (KDE_APPLICATIONS_VERSION_MICRO "3")

set(KTP_ACCOUNTS_KCM_SONUMBER "9")
set(KTP_ACCOUNTS_KCM_VERSION "${KDE_APPLICATIONS_VERSION_MAJOR}.${KDE_APPLICATIONS_VERSION_MINOR}.${KDE_APPLICATIONS_VERSION_MICRO}")

set(IS_KTP_INTERNAL_MODULE TRUE)

find_package (TelepathyQt5 REQUIRED)
find_package (KAccounts REQUIRED)
find_package (Intltool REQUIRED) #needed to generate service and provider files

set(CMAKE_MODULE_PATH ${KACCOUNTS_MACROS_PATH} ${CMAKE_MODULE_PATH}) #for KAccountsMacros

# make some more macros available
# include (MacroLibrary)

include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDEFrameworkCompilerSettings)
include(KDECompilerSettings)
include(ECMInstallIcons)
include(FeatureSummary)
include(KAccountsMacros)

add_definitions (
#                  -DQT_NO_CAST_FROM_ASCII
                 -DQT_NO_KEYWORDS
)

include_directories (${CMAKE_CURRENT_SOURCE_DIR}/src
                     ${TELEPATHY_QT5_INCLUDE_DIR})

add_subdirectory (src)
add_subdirectory (data)
add_subdirectory (plugins)

feature_summary(WHAT ALL INCLUDE_QUIET_PACKAGES FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== data/CMakeLists.txt ===
install (DIRECTORY profiles
         DESTINATION ${SHARE_INSTALL_PREFIX}/telepathy)

add_subdirectory (kaccounts)

=== src/KCMTelepathyAccounts/CMakeLists.txt ===
project (libktpaccountskcminternal)

include_directories (${CMAKE_CURRENT_BINARY_DIR}
                     ${CMAKE_CURRENT_SOURCE_DIR}
)

add_definitions (-DMAKE_KCM_TELEPATHY_ACCOUNTS_LIB)

set (libktpaccountskcminternal_SRCS
     abstract-account-ui-plugin.cpp
     abstract-account-ui.cpp
     abstract-account-parameters-widget.cpp
     generic-advanced-options-widget.cpp
     account-edit-widget.cpp
     profile-select-widget.cpp
     simple-profile-select-widget.cpp
     profile-list-model.cpp
     profile-item.cpp
     parameter-edit-widget.cpp
     parameter-edit-delegate.cpp
     parameter-edit-model.cpp
     parameter-item.cpp
     dictionary.cpp
     plugin-manager.cpp
     feedback-widget.cpp
     validated-line-edit.cpp
)

set (libktpaccountskcminternal_HDRS
     abstract-account-ui-plugin.h
     abstract-account-ui.h
     abstract-account-parameters-widget.h
     generic-advanced-options-widget.h
     account-edit-widget.h
     plugin-manager.h
     profile-list-model.h
     profile-select-widget.h
     simple-profile-select-widget.h
     profile-item.h
     parameter-edit-widget.h
     parameter-edit-model.h
     validated-line-edit.h
)

set (libktpaccountskcminternal_PRETTY_HDRS
     AbstractAccountUiPlugin
     AbstractAccountUi
     AbstractAccountParametersWidget
     GenericAdvancedOptionsWidget
     AccountEditWidget
     ConnectionManagerItem
     PluginManager
     ProtocolSelectWidget
     ProtocolItem
     ParameterEditWidget
     ParameterEditModel
     ValidatedLineEdit
)

ki18n_wrap_ui (libktpaccountskcminternal_SRCS
               account-edit-widget.ui
               parameter-edit-widget.ui
               profile-select-widget.ui
               simple-profile-select-widget.ui
)

add_library(ktpaccountskcminternal
            SHARED
            ${libktpaccountskcminternal_SRCS}
)

target_link_libraries (ktpaccountskcminternal
                       Qt5::Widgets
                       Qt5::Core
#                        KF5::KIO
                       KF5::I18n
                       KF5::WidgetsAddons
                       KF5::ConfigWidgets
                       KF5::ItemViews
                       KF5::IconThemes
                       KF5::Service
                       ${TELEPATHY_QT5_LIBRARIES}
)


set_target_properties (ktpaccountskcminternal PROPERTIES
                       VERSION ${KTP_ACCOUNTS_KCM_VERSION}
                       SOVERSION ${KTP_ACCOUNTS_KCM_SONUMBER}
)

if (MSVC)
    set_target_properties (ktpaccountskcminternal PROPERTIES
                           OUTPUT_NAME libktpaccountskcminternal
    )
endif (MSVC)

# Install:
install (TARGETS ktpaccountskcminternal
         ${INSTALL_TARGETS_DEFAULT_ARGS}
         LIBRARY NAMELINK_SKIP
)

install (FILES
         ktpaccountskcminternal-accountuiplugin.desktop
         DESTINATION ${SERVICETYPES_INSTALL_DIR}
)

=== debian/changelog ===
ktp-accounts-kcm (4:15.12.3-0ubuntu1) xenial; urgency=medium

  * New upstream bugfix release
  * Bump runtime dependency kaccounts-integration.
  * Fix libkaccounts-dev version as well. 
  * New upstream bugfix release

 -- Scarlett Clark <sgclark@kubuntu.org>  Thu, 14 Apr 2016 16:08:26 -0700

ktp-accounts-kcm (4:15.12.1-1ubuntu1) xenial; urgency=medium

  * Merged with Debian
  * New upstream release

 -- Clive Johnston <clivejo@aol.com>  Wed, 09 Mar 2016 11:18:07 +0100

ktp-accounts-kcm (15.12.1-1) experimental; urgency=medium

  * New upstream release (15.12.0).
  * New upstream release (15.12.1).

 -- Maximiliano Curia <maxy@debian.org>  Mon, 01 Feb 2016 10:22:39 +0100

ktp-accounts-kcm (15.08.0-1~) UNRELEASED; urgency=medium

  [ Diane Trout ]
  * New upstream release.
  * Update libktpcommoninternalsprivate-dev build-dep to 0.8.80
  * Change kde-telepathy-data to source:Upstream-Version

  [ Maximiliano Curia ]
  * Update watch file.
  * New upstream release (15.04.1).
  * New upstream release (15.04.2).
  * New upstream release (15.04.3).
  * New upstream release (15.08.0).

 -- Maximiliano Curia <maxy@debian.org>  Fri, 04 Sep 2015 19:20:48 +0200

=== debian/control ===
Source: ktp-accounts-kcm
Section: kde
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Diane Trout <diane@ghic.org>, Michał Zając <quintasan@kubuntu.org>, Mark Purcell <msp@debian.org>
Build-Depends: cmake (>= 2.8.12~),
               debhelper (>= 9),
               extra-cmake-modules (>= 1.0.0~),
               intltool,
               kio-dev (>= 5.11~),
               libaccounts-glib-dev,
               libaccounts-qt5-dev (>= 1.10~),
               libkaccounts-dev (>= 4:15.12.2),
               libkf5codecs-dev (>= 5.11~),
               libkf5configwidgets-dev (>= 5.11~),
               libkf5coreaddons-dev (>= 5.11~),
               libkf5i18n-dev (>= 5.11~),
               libkf5iconthemes-dev (>= 5.11~),
               libkf5itemviews-dev (>= 5.11~),
               libkf5kcmutils-dev (>= 5.11~),
               libkf5widgetsaddons-dev (>= 5.11~),
               libktp-dev (>= 15.03),
               libsignon-qt5-dev (>= 8.55~),
               libtelepathy-logger-dev,
               libtelepathy-logger-qt-dev,
               libtelepathy-qt5-dev (>= 0.9.3),
               pkg-kde-tools (>= 0.9),
               qtbase5-dev (>= 5.4)
Standards-Version: 3.9.6
Homepage: https://projects.kde.org/projects/kde/kdenetwork/ktp-accounts-kcm
Vcs-Git: git://anonscm.debian.org/pkg-kde/kde-extras/kde-telepathy/ktp-accounts-kcm.git
Vcs-Browser: http://anonscm.debian.org/cgit/pkg-kde/kde-extras/kde-telepathy/ktp-accounts-kcm.git

Package: kde-config-telepathy-accounts
Architecture: any
Depends: kaccounts-integration (>= 4:15.12.2),
         kde-telepathy-data,
         kde-telepathy-kaccounts,
         kde-telepathy-kpeople,
         ${misc:Depends},
         ${shlibs:Depends}
Recommends: kde-telepathy
Description: KDE Control Module for managing Telepathy Accounts
 This package provides a KControl module for adding, editing and removing
 Telepathy accounts. This module can be accessed from system settings
 under a KDE Plasma desktop.
 .
 This package is not meant to be used standalone. It is recommended
 to install the kde-telepathy metapackage instead.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/pkg-kde-tools/qt-kde-team/3/debian-qt-kde.mk

override_dh_auto_install:
	$(overridden_command) --destdir=debian/tmp

override_dh_strip:
	$(overridden_command) --ddeb-migration='kde-config-telepathy-accounts-dbg (<= 15.12.1-1~~)'

override_dh_install:
	dh_install --fail-missing

## ktp-accounts-kcm 16.04.3

=== debian/changelog ===
ktp-accounts-kcm (4:16.04.3-0ubuntu1) yakkety; urgency=medium

  [ Scarlett Clark ]
  * New upstream release
  * Clean cruft from repo. 

  [ Philip Muškovac ]
  * Update the Vcs URLs now that the repositories are hosted on
    Launchpad

  [ Scarlett Clark ]
  * New upstream bugfix release
  * Change install file to reflect new kde folder
    for providers and services. Closes (LP: 1451728) 
  * Bump build deps to ensure above. 

  [ Clive Johnston ]
  * New upstream release (16.04.2)
  * New upstream release (16.04.3)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Fri, 30 Sep 2016 06:38:01 +0200

ktp-accounts-kcm (15.12.2-1~) UNRELEASED; urgency=medium

  * New upstream release (15.12.2).

 -- Maximiliano Curia <maxy@debian.org>  Sat, 13 Feb 2016 09:46:37 +0100

=== debian/control ===
Source: ktp-accounts-kcm
Section: kde
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Diane Trout <diane@ghic.org>,
           Michał Zając <quintasan@kubuntu.org>,
           Mark Purcell <msp@debian.org>
Build-Depends: cmake (>= 2.8.12~),
               debhelper (>= 9),
               extra-cmake-modules (>= 5.24.0~),
               intltool,
               kio-dev (>= 5.24.0~),
               libaccounts-glib-dev (>= 1.21~),
               libaccounts-qt5-dev (>= 1.13~),
               libkaccounts-dev (>= 4:16.04.3~),
               libkf5codecs-dev (>= 5.24.0~),
               libkf5configwidgets-dev (>= 5.24.0~),
               libkf5coreaddons-dev (>= 5.24.0~),
               libkf5i18n-dev (>= 5.24.0~),
               libkf5iconthemes-dev (>= 5.24.0~),
               libkf5itemviews-dev (>= 5.24.0~),
               libkf5kcmutils-dev (>= 5.24.0~),
               libkf5widgetsaddons-dev (>= 5.24.0~),
               libktp-dev (>= 4:16.04.3~),
               libsignon-qt5-dev (>= 8.55~),
               libtelepathy-logger-dev,
               libtelepathy-logger-qt-dev,
               libtelepathy-qt5-dev (>= 0.9.3),
               pkg-kde-tools (>= 0.9),
               qtbase5-dev (>= 5.6.1~)
Standards-Version: 3.9.6
Homepage: https://projects.kde.org/projects/kde/kdenetwork/ktp-accounts-kcm
Vcs-Git: git://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/ktp-accounts-kcm
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/ktp-accounts-kcm

Package: kde-config-telepathy-accounts
Architecture: any
Depends: kaccounts-integration (>= 4:15.12.2),
         kde-telepathy-data,
         kde-telepathy-kaccounts,
         kde-telepathy-kpeople,
         ${misc:Depends},
         ${shlibs:Depends}
Recommends: kde-telepathy
Description: KDE Control Module for managing Telepathy Accounts
 This package provides a KControl module for adding, editing and removing
 Telepathy accounts. This module can be accessed from system settings
 under a KDE Plasma desktop.
 .
 This package is not meant to be used standalone. It is recommended
 to install the kde-telepathy metapackage instead.

## ktp-accounts-kcm 16.12.3

=== debian/changelog ===
ktp-accounts-kcm (4:16.12.3-0ubuntu1) zesty; urgency=low

  [ Darin Miller ]
  * New upstream release (16.12.2)

  [ José Manuel Santamaría Lema ]
  * New upstream release (16.12.3)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Fri, 10 Mar 2017 21:25:52 +0000

ktp-accounts-kcm (4:16.12.1-0ubuntu1) zesty; urgency=medium

  [ José Manuel Santamaría Lema ]
  * Update Vcs-Git fields to use https:// instead of git://

  [ Rik Mills ]
  * New upstream release (16.12.0)
  * Update build deps to use new KF5 style names
  * New upstream release (16.12.1)

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 19 Jan 2017 16:14:33 +0000

=== debian/control ===
--- 
+++ 
@@ -7,21 +7,21 @@
            Mark Purcell <msp@debian.org>
 Build-Depends: cmake (>= 2.8.12~),
                debhelper (>= 9),
-               extra-cmake-modules (>= 5.24.0~),
+               extra-cmake-modules (>= 5.31.0~),
                intltool,
-               kio-dev (>= 5.24.0~),
                libaccounts-glib-dev (>= 1.21~),
                libaccounts-qt5-dev (>= 1.13~),
-               libkaccounts-dev (>= 4:16.04.3~),
-               libkf5codecs-dev (>= 5.24.0~),
-               libkf5configwidgets-dev (>= 5.24.0~),
-               libkf5coreaddons-dev (>= 5.24.0~),
-               libkf5i18n-dev (>= 5.24.0~),
-               libkf5iconthemes-dev (>= 5.24.0~),
-               libkf5itemviews-dev (>= 5.24.0~),
-               libkf5kcmutils-dev (>= 5.24.0~),
-               libkf5widgetsaddons-dev (>= 5.24.0~),
-               libktp-dev (>= 4:16.04.3~),
+               libkaccounts-dev (>= 4:16.12.3~),
+               libkf5codecs-dev (>= 5.31.0~),
+               libkf5configwidgets-dev (>= 5.31.0~),
+               libkf5coreaddons-dev (>= 5.31.0~),
+               libkf5i18n-dev (>= 5.31.0~),
+               libkf5iconthemes-dev (>= 5.31.0~),
+               libkf5itemviews-dev (>= 5.31.0~),
+               libkf5kcmutils-dev (>= 5.31.0~),
+               libkf5kio-dev (>= 5.31.0~),
+               libkf5widgetsaddons-dev (>= 5.31.0~),
+               libktp-dev (>= 4:16.12.3~),
                libsignon-qt5-dev (>= 8.55~),
                libtelepathy-logger-dev,
                libtelepathy-logger-qt-dev,
@@ -30,7 +30,7 @@
                qtbase5-dev (>= 5.6.1~)
 Standards-Version: 3.9.6
 Homepage: https://projects.kde.org/projects/kde/kdenetwork/ktp-accounts-kcm
-Vcs-Git: git://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/ktp-accounts-kcm
+Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/ktp-accounts-kcm
 Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/ktp-accounts-kcm
 
 Package: kde-config-telepathy-accounts

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/pkg-kde-tools/qt-kde-team/3/debian-qt-kde.mk

override_dh_auto_install:
	$(overridden_command) --destdir=debian/tmp

override_dh_strip:
	$(overridden_command) --dbgsym-migration='kde-config-telepathy-accounts-dbg (<= 15.12.1-1~~)'

override_dh_install:
	dh_install --fail-missing
